body {
    font-family: "Roboto", sans-serif;
    line-height: 1.2;
}

header {
    background: #fff;
}

.header-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100px;
}

.header-wrap img {
    width: 70px;
}

.header-links a {
    font-size: 20px;
    padding: 0 20px;
}

.empty {
    width: 70px;
}

.hero {
    background: url(../img/hero.jpg) no-repeat center;
    background-size: cover;
    height: 65vh;
}

.hero .container {
    height: 65vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-wrap {
    width: 800px;
    max-width: 90%;
    background: #ffffff87;
    backdrop-filter: blur(5px);
    border-radius: 30px;
    padding: 40px;
    text-align: center;
}

.hero-wrap h1 {
    margin-bottom: 40px;
    font-size: 36px;
}

.hero-wrap p {
    font-size: 24px;
    margin-bottom: 30px;
}

.hero-wrap a {
    font-size: 40px;
    background: #fff;
    padding: 15px;
    text-decoration: underline;
    font-weight: 700;
    border-radius: 15px;
}

.about {
    padding: 100px 0;
    text-align: center;
}

.about.bg {
    background: #fcf7f1;
}

.about .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.section-title {
    text-align: center;
    font-size: 44px;
    margin-bottom: 40px;
}

.section-subtitle {
    font-size: 32px;
    font-weight: 500;
    margin-bottom: 40px;
}

.section-text {
    font-size: 24px;
    margin-bottom: 24px;
    line-height: 1.5;
}

p.section-text {
    width: 70%;
}

ul.section-text li {
    text-align: start;
} 

.about a {
    font-size: 20px;
    text-decoration: underline;
    margin-top: 20px;
}

.services {
    padding: 100px 0;
    background: #fcf7f1;
}

.section-title {
    text-align: center;
    font-size: 44px;
    margin-bottom: 40px;
    font-weight: 500;
}

.services-wrap {
    display: grid;
    grid-template: repeat(2, auto) / repeat(2, 1fr);
    gap: 30px;
}

.services-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #fff;
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 0 15px -5px #000000bf;
}

.services-text {
    padding-right: 50px;
}

.services-text p {
    font-size: 18px;
    margin-bottom: 25px;
}

.services-text a {
    background: #232323;
    color: #fff;
    padding: 5px 15px;
    border-radius: 15px;
    border: 1px solid #232323;
}

.services-text a:hover {
    background: #fff;
    color: #000;
}

.services-image img {
    width: 200px;
    border-radius: 5px;
}

.brands {
    padding: 100px 0;
}

.brands-grid {
    display: grid;
    grid-template: repeat(4, auto) / repeat(4, 1fr);
    row-gap: 40px;
    column-gap: 80px;
}

.brands-item {
    background: #fcf7f1;
    padding: 20px 30px 40px;
    border-radius: 20px;
    box-shadow: 0 0 15px -5px #000000bf;
    text-align: center;
}

.brands-item img {
    max-width: 100%;
    width: 250px;
    margin-bottom: 20px;
}

.brands-item p {
    font-size: 18px;
    margin-bottom: 25px;
}

.brands-item a {
    background: #232323;
    color: #fff;
    padding: 10px 15px;
    border-radius: 15px;
    border: 1px solid #232323;
}

.brands-item a:hover {
    background: #fcf7f1;
    color: #000;
}

footer {
    background: #1a2328;
    color: #fff;
    padding: 50px 0;
    text-align: center;
}

.footer-name {
    font-size: 40px;
    margin-bottom: 40px;
    font-weight: 600;
}

.footer-wrap a {
    color: #fff;
    text-decoration: underline;
    font-size: 20px;
}

.copy {
    font-size: 20px;
    margin-top: 20px;
}

.dev {
    margin-top: 20px;
    font-size: 14px;
}

.footer-wrap p a {
    text-decoration: none;
    font-size: 14px;
}

@media(max-width: 767px) {

    .header-wrap {
        height: 80px;
    }

    .nav-button {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 22px;
        width: 32px;
        align-items: end;
        padding: 0;
        border: none;
        background: #fff;
    }

    .nav-button .bar {
        height: 3px;
        width: 100%;
        background-color: #000000;
        transition: all 100ms ease-in-out;
    }

    .nav-button.show .bar:nth-child(1) {
        transition: all 100ms ease-in-out;
        transform: rotate(45deg);
        transform-origin: top left;
        width: 28px;
    }

    .nav-button.show .bar:nth-child(2) {
        transition: all 100ms ease-in-out;
        transform-origin: center;
        width: 0;
    }

    .nav-button.show .bar:nth-child(3) {
        transition: all 100ms ease-in-out;
        transform: rotate(-45deg);
        transform-origin: bottom left;
        width: 28px;
    }

    #collapseMenu {
        position: fixed;
        top: 78px;
        left: 0;
        z-index: 11;
        width: 100%;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s ease, opacity 0.4s ease;
    }

    #collapseMenu.show {
        max-height: 500px; 
        opacity: 1;
    }

    #collapseMenu .header-links {        
        background: #fff;
        padding: 25px 50px 50px;
        display: flex;
        flex-direction: column;
        text-align: end;
    }

    .header-links a {
        font-size: 22px;
        padding: 20px 0;
    }

    .hero {
        height: 90vh;
    }

    .hero .container {
        height: 90vh;
    }

    .hero-wrap {
        padding: 30px 20px 50px;
    }

    .hero-wrap h1 {
        margin-bottom: 30px;
        font-size: 26px;
    }

    .hero-wrap p {
        font-size: 20px;
        margin-bottom: 30px;
    }

    .hero-wrap a {
        font-size: 30px;
        padding: 10px;
    }

    .about, .services, .brands {
        padding: 50px 0;
    }

    .section-title {
        font-size: 38px;
        margin-bottom: 30px;
    }

    .section-subtitle {
        font-size: 24px;
        margin-bottom: 30px;
    }

    .section-text {
        font-size: 18px;
        margin-bottom: 20px;
        line-height: 1.2;
    }

    p.section-text {
        width: 100%;
    }

    .services-wrap {
        display: block;
    }

    .services-block {
        padding: 20px;
        flex-direction: column-reverse;
        margin-bottom: 30px;
    }

    .services-text {
        padding-right: 0;
        text-align: center;
    }

    .services-image img {
        width: 100%;
        margin-bottom: 20px;
    }

    .brands-grid {
        grid-template: repeat(8, auto) / repeat(2, 1fr);
        row-gap: 20px;
        column-gap: 20px;
    }

    .brands-item {
        padding: 10px 10px 20px;
    }

    .brands-item img {
        width: 250px;
    }

    .brands-item p {
        font-size: 16px;
        margin-bottom: 20px;
    }

    .brands-item a {
        padding: 5px;
        font-size: 13px;
    }

    .footer-name {
        font-size: 34px;
        margin-bottom: 30px;
    }

    .copy {
        margin-top: 30px;
    }

    .dev {
        margin-top: 40px;
    }

}